| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
LicenseSpring::MSVersion Class Reference

Simple class for handling app versions in Microsoft specific file and assembly version format. Format: Major.Minor.Build.Revision, where all parts are integer numbers. In case you use such version format without alphabetical symbols then it fits your needs. For example: "1.3.4573.1", "2.13.3735.0". More...

`#include <LicenseSpring/Version.h>`

Inheritance diagram for LicenseSpring::MSVersion:

## Public Member Functions
| MSVersion ()
| MSVersion (int major, int minor, char delimeter='.')
| MSVersion (int major, int minor, int build, char delimeter='.')
| MSVersion (int major, int minor, int build, int revision, char delimeter='.')
| MSVersion (const std::string &version, char delimeter='.')
int | buildVersion () const
int | revisionVersion () const
bool | hasBuildVersion () const
bool | hasRevisionVersion () const
void | setBuildVersion (int number)
void | setRevisionVersion (int number)
size_t | length () const override
std::string | toString () const override
int | compare (const VersionBase &baseVer) const override
Public Member Functions inherited from LicenseSpring::VersionBase
| VersionBase ()
| VersionBase (int major, int minor, char delimeter='.')
virtual | ~VersionBase ()=default
int | majorVersion () const
int | minorVersion () const
char | delimeter () const
void | setDelimeter (char delimeter)
size_t | size () const
| operator std::string () const
bool | operator== (const VersionBase &version) const
bool | operator!= (const VersionBase &version) const
bool | operator< (const VersionBase &version) const
bool | operator> (const VersionBase &version) const
bool | operator<= (const VersionBase &version) const
bool | operator>= (const VersionBase &version) const

## Static Public Member Functions
static MSVersion | fromString (const std::string &input, char delimeter='.')
Static Public Member Functions inherited from LicenseSpring::VersionBase
static int | compare (const VersionBase &left, const VersionBase &right)

## Static Public Attributes
static MSVersion | InvalidVersion
Static Public Attributes inherited from LicenseSpring::VersionBase
static constexpr int | INVALID_VERSION_NUMBER = -1

## Additional Inherited Members
Protected Attributes inherited from LicenseSpring::VersionBase
int | m_major
int | m_minor
char | m_delimeter

## Detailed Description

Simple class for handling app versions in Microsoft specific file and assembly version format. Format: Major.Minor.Build.Revision, where all parts are integer numbers. In case you use such version format without alphabetical symbols then it fits your needs. For example: "1.3.4573.1", "2.13.3735.0".

Definition at line 103 of file Version.h.

## Constructor & Destructor Documentation

## ◆ MSVersion() [1/5]

LicenseSpring::MSVersion::MSVersion | ( |  | ) |

## ◆ MSVersion() [2/5]

LicenseSpring::MSVersion::MSVersion | ( | int | major,
|  | int | minor,
|  | char | delimeter = `'.'`
| ) |  |

## ◆ MSVersion() [3/5]

LicenseSpring::MSVersion::MSVersion | ( | int | major,
|  | int | minor,
|  | int | build,
|  | char | delimeter = `'.'`
| ) |  |

## ◆ MSVersion() [4/5]

LicenseSpring::MSVersion::MSVersion | ( | int | major,
|  | int | minor,
|  | int | build,
|  | int | revision,
|  | char | delimeter = `'.'`
| ) |  |

## ◆ MSVersion() [5/5]

LicenseSpring::MSVersion::MSVersion | ( | const std::string & | version,
|  | char | delimeter = `'.'`
| ) |  |

## Member Function Documentation

## ◆ buildVersion()

int LicenseSpring::MSVersion::buildVersion | ( |  | ) | const
| inline

Definition at line 112 of file Version.h.

## ◆ revisionVersion()

int LicenseSpring::MSVersion::revisionVersion | ( |  | ) | const
| inline

Definition at line 113 of file Version.h.

## ◆ hasBuildVersion()

bool LicenseSpring::MSVersion::hasBuildVersion | ( |  | ) | const
| inline

Definition at line 114 of file Version.h.

## ◆ hasRevisionVersion()

bool LicenseSpring::MSVersion::hasRevisionVersion | ( |  | ) | const
| inline

Definition at line 115 of file Version.h.

## ◆ setBuildVersion()

void LicenseSpring::MSVersion::setBuildVersion | ( | int | number | ) |

## ◆ setRevisionVersion()

void LicenseSpring::MSVersion::setRevisionVersion | ( | int | number | ) |

## ◆ length()

size_t LicenseSpring::MSVersion::length | ( |  | ) | const
| override virtual

Reimplemented from LicenseSpring::VersionBase.

## ◆ toString()

std::string LicenseSpring::MSVersion::toString | ( |  | ) | const
| override virtual

Reimplemented from LicenseSpring::VersionBase.

## ◆ compare()

int LicenseSpring::MSVersion::compare | ( | const VersionBase & | baseVer | ) | const
| override virtual

Reimplemented from LicenseSpring::VersionBase.

## ◆ fromString()

static MSVersion LicenseSpring::MSVersion::fromString | ( | const std::string & | input,
|  | char | delimeter = `'.'`
| ) |  |
| static

## Member Data Documentation

## ◆ InvalidVersion

MSVersion LicenseSpring::MSVersion::InvalidVersion
| static

Definition at line 127 of file Version.h.

The documentation for this class was generated from the following file:

- LicenseSpring/Version.h